Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class MapOperationFactor

    java.lang.Object
      org.deegree.portal.context.MapOperationFactor

    public class MapOperationFactor

extends Object

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`MapOperationFactor(double factor, boolean selected, boolean free)` Creates a new MapOperationFactor object.

Method Summary
`double` | `getFactor()` returns the numeric factor to be used in a map operation like zoom or pan
`boolean` | `isFree()`
`boolean` | `isSelected()` returns true if the zoom factor is selected.
`void` | `setSelected(boolean selected)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapOperationFactor

    public MapOperationFactor(double factor,
                              boolean selected,
                              boolean free)

  Creates a new MapOperationFactor object.

  Parameters:
    `factor` -
    `selected` - true if the zoom factor is selected.
    `free` - true if the `MapOperationFactor` represents a field that allows the user to enter his own map size

Method Detail

### getFactor

    public double getFactor()

  returns the numeric factor to be used in a map operation like zoom or pan

  Returns:
    the numeric factor to be used in a map operation like zoom or pan

### isSelected

    public boolean isSelected()

  returns true if the zoom factor is selected.

  Returns:
    true if the zoom factor is selected.

### setSelected

    public void setSelected(boolean selected)

  Parameters:
    `selected` -

### isFree

    public boolean isFree()

  Returns:
    true if the `MapOperationFactor` represents a field that allows the user to enter his own map size

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org